$(function () {
    $("input[l]").keyup(function () {
        var l = parseInt($(this).attr("l"));
        var str = $(this).val();
        if (str.length > l) {
            $(this).val(str.substring(0, l));
        }
    });
    $("textarea[l]").keyup(function () {
        var l = parseInt($(this).attr("l"));
        var str = $(this).val();
        if (str.length > l) {
            $(this).val(str.substring(0, l));
        }
    });
    $('[data-toggle="popover"]').popover();
    $(".btn-prev").click(function () {
        $("#myCarousel").carousel('prev');
        $(".wizard-steps li[f=" + $(this).attr("f") + "]").removeClass("complete");
        $(".wizard-steps li[p=" + $(this).attr("f") + "]").removeClass("active");
    });
    $(".btn-next").click(function () {
        if ($(this).attr("id") == "step2next") {
            var f = $(this).attr("f");
            $('#fmLink').validation();
            var alm = $(".popover");
            if (alm.length > 0) {
                return;
            }
            $(".popover ").remove();
            if (!LinkCheck()) {
                return;
            }
            var l = layer.load("正在生成数据库，请稍等...");
            $.post("Handlers/Guid.aspx?Method=TestLink", $('#fmLink').serialize(), function (data, status) {
                if (status == "success") {
                    layer.close(l);
                    if (data == "success") {
                        layer.msg("数据库创建成功!", 2, 1);
                        $("#myCarousel").carousel('next');
                        $(".wizard-steps li[f=" + f + "]").addClass("complete");
                        $(".wizard-steps li[p=" + f + "]").addClass("active");
                    }
                    else if (data == "exsits") {
                        var dataname = $("#dataname").val();
                        layer.confirm("已经存在名称为'" + dataname + "'的数据库，是否进行覆盖？", function () {
                            layer.load("正在覆盖数据库，请稍后...");
                            $.ajax({
                                type: "post",
                                url: "Handlers/Guid.aspx?Method=Cover",
                                cache: false,
                                data: $('#fmLink').serialize(),
                                success: function (data) {
                                    if (data == "success") {
                                        layer.msg("数据库创建成功!", 2, 1);
                                        $("#myCarousel").carousel('next');
                                        $(".wizard-steps li[f=" + f + "]").addClass("complete");
                                        $(".wizard-steps li[p=" + f + "]").addClass("active");
                                    }
                                    else {
                                        layer.alert(data);
                                    }
                                },
                                error: function () {
                                    layer.msg("网络错误！请稍后重试！", 2, 5);
                                }
                            });
                        });
                    }
                    else {
                        layer.alert(data);
                        return;
                    }
                }
                else {
                    layer.msg("网络错误！请稍后重试！", 2, 5);
                    return;
                }
            }, "text");
        }
        else if ($(this).attr("id") == "step3next") {
            var f = $(this).attr("f");
            $('#fmUser').validation();
            var alm = $(".popover");
            if (alm.length > 0) {
                return;
            }
            $(".popover ").remove();
            if (!UserCheck()) {
                return;
            }
            var l = layer.load("正在生成用户名密码，请稍等...");
            $.post("Handlers/Guid.aspx?Method=SetUser", $('#fmUser').serialize(), function (data, status) {
                if (status == "success") {
                    layer.close(l);
                    if (data == "success") {
                        layer.msg("管理员信息生成成功!", 2, 1);
                        $("#myCarousel").carousel('next');
                        $(".wizard-steps li[f=" + f + "]").addClass("complete");
                        $(".wizard-steps li[p=" + f + "]").addClass("active");
                    }
                    else if (data == "exsits") {
                        $("#myCarousel").carousel('next');
                        var d = $(".wizard-steps li[f=" + f + "]");
                        $(".wizard-steps li[f=" + f + "]").addClass("complete");
                        $(".wizard-steps li[p=" + f + "]").addClass("active");
                    }
                    else {
                        layer.alert("管理员信息生成失败，请重新尝试！");
                    }
                }
                else {
                    layer.msg("网络错误！请稍后重试！", 2, 5);
                }
            }, "text");
        }
        else {
            $("#myCarousel").carousel('next');
            $(".wizard-steps li[f=" + $(this).attr("f") + "]").addClass("complete");
            $(".wizard-steps li[p=" + $(this).attr("f") + "]").addClass("active");
        }
    });
    $('#myCarousel').carousel({
        interval: false,
        wrap: false
    });
    $("#cbinstall").click(function () {
        if ($(this).attr("checked")) {
            $("#step1next").removeAttr("disabled");
        } else {
            $("#step1next").attr("disabled", true);
        }
    });
    GetIp();
});
function DelFile() {
    $.ajax({
        url: "Handlers/Guid.aspx?Method=DelFile",
        type: "post",
        cache: false,
        success: function (data) {
            window.location.href = 'Default.html'

        },
        error: function () {
            window.location.href = 'Default.html'
        }
    });
}
function GetIp() {
    $.ajax({
        url: "Handlers/Guid.aspx?Method=GetIP",
        type: "get",
        cache: false,
        success: function (data) {
            $("#linkname").val(data);
            $("#dataname").val("YDDCRMOA");
            $("#loginname").val("sa");
        },
        error: function () {
            layer.alert("您的配置环境可能存在问题，请根据配置文档检测下您的iis环境！");
        }
    });
}
function Getenvriment() {
    $.ajax({
        url: "Handlers/check.aspx?Method=check",
        type: "post",
        cache: false,
        success: function (data) {
            var l = data.split(':');
            if (l[0] == 'n') {
                layer.alert("本程序需要.net Framework 4.0，请配置好IIS服务器环境！");
                return;
            }
            $("#linkname").val(l[1]);
            $("#dataname").val("YDDCRMOA");
            $("#loginname").val("sa");
        },
        error: function () {
            layer.alert("本程序需要.net Framework 4.0，请配置好IIS服务器环境！");
        }
    });
}
function UserCheck() {
    if ($("#comname").val() == "") {
        $("#comname").focus();
        return false;
    }
    if ($("#username").val() == "") {
        $("#username").focus();
        return false;
    }
    if ($("#username").val() == "") {
        $("#username").focus();
        return false;
    }
    if ($("#userpass").val() == "") {
        $("#userpass").focus();
        return false;
    }
    if ($("#userpass").val() != $("#confirmpass").val()) {
        $("#passerror").text("两个密码不一致");
        $("#confirmpass").focus();
        return false;
    }
    else {
        $("#passerror").text("");
    }
    return true;
}
function LinkCheck() {
    if ($("#linkname").val() == "") {
        $("#linkname").focus();
        return false;
    }
    if ($("#dataname").val() == "") {
        $("#dataname").focus();
        return false;
    }
    if ($("#dataname").val() == "") {
        $("#dataname").focus();
        return false;
    }
    if ($("#loginname").val() == "") {
        $("#loginname").focus();
        return false;
    }
    if ($("#loginpass").val() == "") {
        $("#loginpass").focus();
        return false;
    }
    return true;
}